@import "../variables";
@import "../functions";
@import "../mixins";

body {
  padding-left: 80px;
  padding-bottom: 0;
}

.menu {
  height: 100vh;
  display: flex;

  .categories,
  .meals {
    padding: 30px;

    > h1, h2 {
      text-transform: uppercase;
      font-size: 40px;
      line-height: 40px;
      margin-bottom: 20px;
    }
  }

  .categories{
    width: 500px;
    border-right: 2px solid gray("400");
    flex-shrink: 0;
    overflow-y: auto;

    .category {
      @include flex-row(center);  
      padding: 20px 5px;
      border-bottom: 1px solid gray("400");

      .name {
        padding: 0;
        background-color: $body-background;
        font-size: 20px;
        line-height: 25px;
        margin: 0;
        cursor: pointer;

        &.focused:focus {
          color: theme-color("secondary");
        }
      }

      .name:focus {
        color: text-color("primary");
      }

      > img {
        height: 25px;
        width: 25px;
        margin-left: 10px;
        cursor: pointer;
        transition: $transition;
      }

      > img:hover {
        opacity: 0.6;
      }

      &.active .name {
        color: theme-color("primary");
      }
    }

    .new-category {
      @include flex-row(flex-start);
      padding: 20px 5px;

      .input-wrp {
        width: 100%;
      }

      .add {
        height: 54px;
        width: 54px;
        margin-left: 20px;
        transition: $transition;
        cursor: pointer;
      }

      .add:hover {
        opacity: 0.6;
      }
    }
  }

  .meals {
    flex-grow: 1;
    overflow-y: auto;

    .category-meals {
      display: none;

      .meal {
        padding: 10px 5px;
        border-bottom: 1px solid gray("400");
        @include flex-row(flex-start);
        justify-content: space-between;
        align-items: stretch;


        .content {
          .name {
            font-size: 19px;
            font-weight: $font-weight-semibold;
          }

          .ingredients {
            color: gray("200");
          }
        }

        .others {
          // height: 100%;
          flex-shrink: 0;
          margin-left: 15px;
          @include flex-col(flex-end);
          justify-content: space-between;

          .price {
            font-size: 19px;
            font-weight: $font-weight-semibold;
          }

          .delete {
            height: 25px;
            margin-top: auto;
            cursor: pointer;
            transition: $transition;
          }

          .delete:hover {
            opacity: 0.6;
          }
        }
      }

      &.active {
        display: block;
      }
    }

    .new-meal {
      padding: 20px 5px;

      textarea {
        resize: none;
        height: 177px;
        margin-bottom: 30px;
      }

      input[type=checkbox] {
        height: 17px;
        width: 17px;
        margin: 0;
      }

      .allergens label {
        font-size: 17px;
        font-weight: $font-weight-semibold;
        margin-left: 5px;
        margin-bottom: 10px;
      }
    }
  }
}

.no-category {
  padding: 20px 5px;
  text-align: center;
  font-size: 20px;
  font-weight: $font-weight-semibold;
}